% generate polynomial coefficients
% Y.Z. Aug. 22, 2014

maxdeg = 20;
h0 = @(x)(max(0,x).*x).^10;

P = cell(maxdeg,1);
F = cell(maxdeg,1);

P{1}=[1 0];
for k = 2:maxdeg
    h = @(x)h0(x).^k;
    F{k} = chebfun(h,k+1);
    P{k} = poly(F{k});
end

%save Funs F;
Pc = P; save Pcoeffs Pc